## org.apache.lucene.analysis.miscellaneous
Class KeywordMarkerFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.miscellaneous.KeywordMarkerFilter

All Implemented Interfaces:
  Closeable

    public final class KeywordMarkerFilter

extends TokenFilter

Marks terms as keywords via the `KeywordAttribute`. Each token contained in the provided is marked as a keyword by setting `KeywordAttribute.setKeyword(boolean)` to `true`.

See Also:
  `KeywordAttribute`

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`AttributeSource.AttributeFactory, AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`KeywordMarkerFilter(TokenStream in, CharArraySet keywordSet)` Create a new KeywordMarkerFilter, that marks the current token as a keyword if the tokens term buffer is contained in the given set via the `KeywordAttribute`.

Method Summary
`boolean` `incrementToken()`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end, reset`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeywordMarkerFilter

    public KeywordMarkerFilter(TokenStream in,
                               CharArraySet keywordSet)

  Create a new KeywordMarkerFilter, that marks the current token as a keyword if the tokens term buffer is contained in the given set via the `KeywordAttribute`.

  Parameters:
    `in` - TokenStream to filter
    `keywordSet` - the keywords set to lookup the current termbuffer

Method Detail

### incrementToken

    public final boolean incrementToken()
                                 throws IOException

  Specified by:
    `incrementToken` in class `TokenStream`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.